<?xml version="1.0" encoding="utf-8"?>
<com.google.android.material.card.MaterialCardView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    style="@style/Widget.NaMesa.Card"
    android:layout_width="280dp"
    android:layout_height="200dp"
    android:layout_marginEnd="16dp"
    android:layout_marginBottom="8dp"
    app:cardElevation="4dp"
    app:strokeWidth="0dp">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <ImageView
            android:id="@+id/restaurantImage"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:scaleType="centerCrop"
            android:src="@drawable/na_mesa" />

        <View
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@drawable/gradient_overlay" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:padding="16dp"
            app:layout_constraintBottom_toBottomOf="parent">

            <TextView
                android:id="@+id/restaurantName"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:fontFamily="sans-serif-black"
                android:text="Nome do Restaurante"
                android:textColor="@color/white"
                android:textSize="18sp" />

            <TextView
                android:id="@+id/restaurantCuisine"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="Cozinha • 4.9 ★"
                android:textColor="@color/white"
                android:textSize="14sp" />
        </LinearLayout>
    </androidx.constraintlayout.widget.ConstraintLayout>
</com.google.android.material.card.MaterialCardView>
